Mailinglist Archive: opensuse-updates (123 mails)

< Previous Next >
openSUSE-SU-2017:2894-1: moderate: Security update for GraphicsMagick
openSUSE Security Update: Security update for GraphicsMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2894-1
Rating: moderate
References: #1054596 #1054598 #1055042 #1055050 #1055430
#1056431
Cross-References: CVE-2017-12936 CVE-2017-12937 CVE-2017-13063
CVE-2017-13064 CVE-2017-13139 CVE-2017-13775

Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes 6 vulnerabilities is now available.

Description:

This update for GraphicsMagick fixes the following issues:

* CVE-2017-13775: Fixed a denial of service issue in ReadJNXImage() in
coders/jnx.c (boo#1056431)
* CVE-2017-13063: Fixed a heap-based buffer overflow vulnerability in the
function GetStyleTokens in coders/svg.c (bsc#1055050)
* CVE-2017-13064: Fixed a heap-based buffer overflow vulnerability in the
function GetStyleTokens in coders/svg.c (bsc#1055042)
* CVE-2017-12936: The ReadWMFImage function in coders/wmf.c in
GraphicsMagick had a use-after-free issue for data associated with
exception reporting. (bsc#1054598)
* CVE-2017-13139: The ReadOneMNGImage function in coders/png.c had an
out-of-bounds read with the MNG CLIP chunk. (bsc#1055430)
* CVE-2017-12937: The ReadSUNImage function in coders/sun.c in
GraphicsMagick had a colormap heap-based buffer over-read. (bsc#1054596)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1199=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1199=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

GraphicsMagick-1.3.25-34.1
GraphicsMagick-debuginfo-1.3.25-34.1
GraphicsMagick-debugsource-1.3.25-34.1
GraphicsMagick-devel-1.3.25-34.1
libGraphicsMagick++-Q16-12-1.3.25-34.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-34.1
libGraphicsMagick++-devel-1.3.25-34.1
libGraphicsMagick-Q16-3-1.3.25-34.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-34.1
libGraphicsMagick3-config-1.3.25-34.1
libGraphicsMagickWand-Q16-2-1.3.25-34.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-34.1
perl-GraphicsMagick-1.3.25-34.1
perl-GraphicsMagick-debuginfo-1.3.25-34.1

- openSUSE Leap 42.2 (i586 x86_64):

GraphicsMagick-1.3.25-11.34.1
GraphicsMagick-debuginfo-1.3.25-11.34.1
GraphicsMagick-debugsource-1.3.25-11.34.1
GraphicsMagick-devel-1.3.25-11.34.1
libGraphicsMagick++-Q16-12-1.3.25-11.34.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-11.34.1
libGraphicsMagick++-devel-1.3.25-11.34.1
libGraphicsMagick-Q16-3-1.3.25-11.34.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-11.34.1
libGraphicsMagick3-config-1.3.25-11.34.1
libGraphicsMagickWand-Q16-2-1.3.25-11.34.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-11.34.1
perl-GraphicsMagick-1.3.25-11.34.1
perl-GraphicsMagick-debuginfo-1.3.25-11.34.1


References:

https://www.suse.com/security/cve/CVE-2017-12936.html
https://www.suse.com/security/cve/CVE-2017-12937.html
https://www.suse.com/security/cve/CVE-2017-13063.html
https://www.suse.com/security/cve/CVE-2017-13064.html
https://www.suse.com/security/cve/CVE-2017-13139.html
https://www.suse.com/security/cve/CVE-2017-13775.html
https://bugzilla.suse.com/1054596
https://bugzilla.suse.com/1054598
https://bugzilla.suse.com/1055042
https://bugzilla.suse.com/1055050
https://bugzilla.suse.com/1055430
https://bugzilla.suse.com/1056431


< Previous Next >
This Thread
  • No further messages